Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.session
Class HttpSessionEventPublisher

    java.lang.Object
      org.acegisecurity.ui.session.HttpSessionEventPublisher

All Implemented Interfaces:
  EventListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

    public class HttpSessionEventPublisher

extends Object
implements javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

Declared in web.xml as
`<listener>
<listener-class>org.acegisecurity.ui.session.HttpSessionEventPublisher</listener-class>
</listener>
` Publishes `HttpSessionApplicationEvent`s to the Spring Root WebApplicationContext.
Maps javax.servlet.http.HttpSessionListener.sessionCreated() to `HttpSessionCreatedEvent`.
Maps javax.servlet.http.HttpSessionListener.sessionDestroyed() to `HttpSessionDestroyedEvent`.

Author:
  Ray Krueger

Constructor Summary
`HttpSessionEventPublisher()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)` Not implemented
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)` Handled internally by a call to `WebApplicationContextUtils.getRequiredWebApplicationContext(javax.servlet.ServletContext)`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent event)` Handles the HttpSessionEvent by publishing a `HttpSessionCreatedEvent` to the application context.
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent event)` Handles the HttpSessionEvent by publishing a `HttpSessionDestroyedEvent` to the application context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSessionEventPublisher

    public HttpSessionEventPublisher()

Method Detail

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Not implemented

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `event` -

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Handled internally by a call to `WebApplicationContextUtils.getRequiredWebApplicationContext(javax.servlet.ServletContext)`

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `event` - the ServletContextEvent passed in by the container, event.getServletContext() will be used to get the WebApplicationContext

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent event)

  Handles the HttpSessionEvent by publishing a `HttpSessionCreatedEvent` to the application context.

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`
  Parameters:
    `event` - HttpSessionEvent passed in by the container

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent event)

  Handles the HttpSessionEvent by publishing a `HttpSessionDestroyedEvent` to the application context.

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`
  Parameters:
    `event` - The HttpSessionEvent pass in by the container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.